org.eclipse.microprofile.health.tck

## Class HealthCheckResponseValidationTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.health.tck.TCKBase
    - - org.eclipse.microprofile.health.tck.HealthCheckResponseValidationTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class HealthCheckResponseValidationTest
    extends TCKBase

Author:
  Prashanth Gunapalasingam

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.microprofile.health.tck.TCKBase

`TCKBase.Response`

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`HealthCheckResponseValidationTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.Archive` `getDeployment()`
`void` `testValidateConcreteHealthCheckResponse()` Validates the HealthCheckResponse concrete class definition by verifying if its deserialized properties correctly maps to the JSON schema protocol defined by the specification and the JSON health check response returned by the implementation.

### Methods inherited from class org.eclipse.microprofile.health.tck.TCKBase

`beforeMethod`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HealthCheckResponseValidationTest

    public HealthCheckResponseValidationTest()

### Method Detail

#### getDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.Archive getDeployment()

#### testValidateConcreteHealthCheckResponse

    @RunAsClient
    public void testValidateConcreteHealthCheckResponse()
                                                              throws Exception

Validates the HealthCheckResponse concrete class definition by verifying if its deserialized properties correctly maps to the JSON schema protocol defined by the specification and the JSON health check response returned by the implementation.

Throws:
  `Exception`